<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.iralauf.investment.coravita">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />

    <application
        android:allowBackup="false"
        tools:replace="android:allowBackup"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">

        <activity android:name="com.iralauf.investment.coravita.views.coremodules.SplashActivity"
            android:label="@string/app_name"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name="com.iralauf.investment.coravita.views.coremodules.MainActivity"/>
        <activity android:name="com.iralauf.investment.coravita.views.submodules.AppSettingsActivity" android:theme="@style/Theme.AppCompat.Light.DarkActionBar">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.iralauf.investment.coravita.views.coremodules.MainActivity"/>
        </activity>
        <activity android:name="com.iralauf.investment.coravita.views.submodules.MoreInfoActivity" android:theme="@style/Theme.AppCompat.Light.DarkActionBar">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.iralauf.investment.coravita.views.coremodules.MainActivity"/>
        </activity>
        <activity android:name="com.iralauf.investment.coravita.views.submodules.StatisticsActivity" android:theme="@style/Theme.AppCompat.Light.DarkActionBar">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.iralauf.investment.coravita.views.coremodules.MainActivity"/>
        </activity>


        <service
            android:name=".backgroundtask.ActiveModeScanningService"
            android:enabled="true"
            android:exported="true" />

        <receiver android:name=".views.widget.Widget">
            <intent-filter>
                <action android:name="android.appwidget.action.APPWIDGET_UPDATE" />
            </intent-filter>
            <meta-data
                android:name="android.appwidget.provider"
                android:resource="@xml/aqiwidget_info" />
        </receiver>

    </application>

</manifest>